petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionGetFieldComponents

Returns the number of field components for the given field.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetFieldComponents(PetscSection s, PetscInt field, PetscInt *numComp)

Not collective

### Input Parameters

| s | - the PetscSection
| field | - the field number

### Output Parameter

numComp -the number of field components

### See Also

PetscSectionSetFieldComponents(), PetscSectionGetNumFields()

### Level

intermediate

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages